Skip to content

Cids the provided Subject, and saves it in the blob store.

POST
/gov/v1/cid/subject
curl --request POST \
--url https://example.com/gov/v1/cid/subject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "extra": "{\"date\":\"02/23/2025\", \"department\": \"R&D\"}", "id": "938a76ed-2441-45d9-921b-397ce26c8364", "name": "example", "organizationDescription": "example", "organizationId": "example", "organizationName": "example" }'

Cids the provided Subject, and saves it in the blob store. Returns the CID.

Media type application/json
object
description
string
nullable
extra
object
key
additional properties
Example
{"date":"02/23/2025", "department": "R&D"}
id
required
string
Example
938a76ed-2441-45d9-921b-397ce26c8364
name
string
nullable
organizationDescription
string
nullable
organizationId
string
nullable
organizationName
string
nullable

The JCS CID of the Subject.

Media type text/plain
string